%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-isprelink
Version:        0.1.2
Release:        8%{?dist}
Summary:        Python module to determine if a file has been prelinked

Group:          Development/Languages
License:        GPLv2+
URL:            http://trac.mcs.anl.gov/projects/bcfg2
Source0:        ftp://ftp.mcs.anl.gov/pub/bcfg/isprelink-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  elfutils-libelf-devel

%description
Python module to determine if a file has been prelinked.

%prep
%setup -q -n isprelink-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python_sitearch}/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.2-6
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.2-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.2-4
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.1.2-3
- Rebuild for selinux ppc32 issue.

* Fri Jun 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.1.2-2
- Upstream tarball is different from what I was using, adapt.

* Tue Jun 26 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.1.2-1
- First version for Fedora
